Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount
Class DiscountSystemException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.ejb.EJBException
                      com.beasys.commerce.foundation.exception.SystemException
                          com.bea.commerce.ebusiness.discount.DiscountSystemException

All Implemented Interfaces
  MessageCatalogException, Serializable

Direct Known Subclasses:
  DiscountCreationException

Deprecated

    @Deprecated
    public class DiscountSystemException

extends SystemException

The base class for all system exceptions that will be throw by the `discount` package.

See Also
  Serialized Form

Field Summary
`protected static String` | `DEFAULT_MSG_KEY` Deprecated default message key.
`static String` | `MESSAGE_NAMESPACE` Deprecated The name of the resource bundle

Fields inherited from class com.beasys.commerce.foundation.exception.SystemException
`logMessages, userMessages`

Constructor Summary
`DiscountSystemException(Object argument)` Deprecated Constructs a new exception using the default message key which produces a message from the argument specified.
`DiscountSystemException(String messageKey)` Deprecated Class constructor taking key of the associated catalog message.
`DiscountSystemException(String messageKey, Exception exception)` Deprecated Class constructor taking key of the associated catalog message and an embedded exception.
`DiscountSystemException(String messageKey, Object argument)` Deprecated Class constructor taking key of the associated catalog message and a message parameter substitution argument.
`DiscountSystemException(String messageKey, Object[] arguments)` Deprecated Class constructor taking key of the associated catalog message and message parameter substitution arguments.
`DiscountSystemException(String messageKey, Object[] arguments, Exception exception)` Deprecated Class constructor taking key of the associated catalog message and message parameter substitution arguments.
`DiscountSystemException(String messageKey, Object argument, Exception exception)` Deprecated Class constructor taking key of the associated catalog message and a message parameter substitution argument.

Method Summary

Methods inherited from class com.beasys.commerce.foundation.exception.SystemException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class javax.ejb.EJBException
`getCausedByException, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MESSAGE_NAMESPACE

    public static final String MESSAGE_NAMESPACE

  Deprecated
  The name of the resource bundle

  See Also
    Constants Summary

### DEFAULT_MSG_KEY

    protected static final String DEFAULT_MSG_KEY

  Deprecated
  default message key. This key expects an argument which is the message.

  See Also
    Constants Summary

Constructor Detail

### DiscountSystemException

    public DiscountSystemException(Object argument)

  Deprecated
  Constructs a new exception using the default message key which produces a message from the argument specified.

  Parameters
    `argument` - the object to use to generate the exception message.

### DiscountSystemException

    public DiscountSystemException(String messageKey)

  Deprecated
  Class constructor taking key of the associated catalog message.

  Parameters
    `messageKey` - the associated catalog message key

### DiscountSystemException

    public DiscountSystemException(String messageKey,
                                   Exception exception)

  Deprecated
  Class constructor taking key of the associated catalog message and an embedded exception.

  Parameters
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

### DiscountSystemException

    public DiscountSystemException(String messageKey,
                                   Object argument)

  Deprecated
  Class constructor taking key of the associated catalog message and a message parameter substitution argument.

  Parameters
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

### DiscountSystemException

    public DiscountSystemException(String messageKey,
                                   Object argument,
                                   Exception exception)

  Deprecated
  Class constructor taking key of the associated catalog message and a message parameter substitution argument.

  Parameters
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.
    `exception` - exception to embed in the newly constructed exception.

### DiscountSystemException

    public DiscountSystemException(String messageKey,
                                   Object[] arguments)

  Deprecated
  Class constructor taking key of the associated catalog message and message parameter substitution arguments.

  Parameters
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.

### DiscountSystemException

    public DiscountSystemException(String messageKey,
                                   Object[] arguments,
                                   Exception exception)

  Deprecated
  Class constructor taking key of the associated catalog message and message parameter substitution arguments.

  Parameters
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.
    `exception` - exception to embed in the newly constructed exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.